Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
e3bfe2d1b99cdb9dbcac4d7d4e40dd13f163d937
[simgrid.git] / examples / java / ping_pong / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 #########################
24 # How to compile the code
25 # All this to only get a dumb javac *java... Automake still have issues with java
26
27 # Makefile chunk which allows to display the files which should be included
28 # into the distribution.
29
30 # It is intended to be included in all Makefile.am 
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 target_triplet = @target@
50 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
51         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
52 subdir = examples/java/ping_pong
53 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
55         $(top_srcdir)/acmacro/compiler-flags.m4 \
56         $(top_srcdir)/acmacro/context.m4 \
57         $(top_srcdir)/acmacro/fancy_configury.m4 \
58         $(top_srcdir)/acmacro/flex.m4 \
59         $(top_srcdir)/acmacro/gras_arch.m4 \
60         $(top_srcdir)/acmacro/print_null.m4 \
61         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63         $(ACLOCAL_M4)
64 mkinstalldirs = $(install_sh) -d
65 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
66 CONFIG_CLEAN_FILES =
67 SOURCES =
68 DIST_SOURCES =
69 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 ACLOCAL = @ACLOCAL@
72 ADDR2LINE = @ADDR2LINE@
73 AMTAR = @AMTAR@
74 AM_CPPFLAGS = @AM_CPPFLAGS@
75 AR = @AR@
76 AS = @AS@
77 AUTOCONF = @AUTOCONF@
78 AUTOHEADER = @AUTOHEADER@
79 AUTOMAKE = @AUTOMAKE@
80 AWK = @AWK@
81 BASH = @BASH@
82 CC = @CC@
83 CCDEPMODE = @CCDEPMODE@
84 CFLAGS = @CFLAGS@
85 CPP = @CPP@
86 CPPFLAGS = @CPPFLAGS@
87 CXX = @CXX@
88 CXXCPP = @CXXCPP@
89 CXXDEPMODE = @CXXDEPMODE@
90 CXXFLAGS = @CXXFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 DLLTOOL = @DLLTOOL@
95 DOXYGEN = @DOXYGEN@
96 ECHO = @ECHO@
97 ECHO_C = @ECHO_C@
98 ECHO_N = @ECHO_N@
99 ECHO_T = @ECHO_T@
100 EGREP = @EGREP@
101 EXEEXT = @EXEEXT@
102 FLEXML = @FLEXML@
103 GCJ = @GCJ@
104 GCJDEPMODE = @GCJDEPMODE@
105 GCJFLAGS = @GCJFLAGS@
106 GRAS_DEP = @GRAS_DEP@
107 GREP = @GREP@
108 INSTALL = @INSTALL@
109 INSTALL_DATA = @INSTALL_DATA@
110 INSTALL_PROGRAM = @INSTALL_PROGRAM@
111 INSTALL_SCRIPT = @INSTALL_SCRIPT@
112 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
113 JAR = @JAR@
114 JAVA = @JAVA@
115 JAVAC = @JAVAC@
116 LDFLAGS = @LDFLAGS@
117 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
118 LEX = @LEX@
119 LEXLIB = @LEXLIB@
120 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
121 LIBOBJS = @LIBOBJS@
122 LIBS = @LIBS@
123 LIBTOOL = @LIBTOOL@
124 LN_S = @LN_S@
125 LTLIBOBJS = @LTLIBOBJS@
126 MAINT = @MAINT@
127 MAKEINFO = @MAKEINFO@
128 MD5SUM = @MD5SUM@
129 MKDIR_P = @MKDIR_P@
130 OBJDUMP = @OBJDUMP@
131 OBJEXT = @OBJEXT@
132 PACKAGE = @PACKAGE@
133 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134 PACKAGE_NAME = @PACKAGE_NAME@
135 PACKAGE_STRING = @PACKAGE_STRING@
136 PACKAGE_TARNAME = @PACKAGE_TARNAME@
137 PACKAGE_VERSION = @PACKAGE_VERSION@
138 PATH_SEPARATOR = @PATH_SEPARATOR@
139 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
140 RANLIB = @RANLIB@
141 SED = @SED@
142 SET_MAKE = @SET_MAKE@
143 SHELL = @SHELL@
144 SIMGRID_DEP = @SIMGRID_DEP@
145 SMPI_DEP = @SMPI_DEP@
146 STRIP = @STRIP@
147 VERSION = @VERSION@
148 WARNING = @WARNING@
149 abs_builddir = @abs_builddir@
150 abs_srcdir = @abs_srcdir@
151 abs_top_builddir = @abs_top_builddir@
152 abs_top_srcdir = @abs_top_srcdir@
153 ac_configure_args = @ac_configure_args@
154 ac_ct_CC = @ac_ct_CC@
155 ac_ct_CXX = @ac_ct_CXX@
156 am__include = @am__include@
157 am__leading_dot = @am__leading_dot@
158 am__quote = @am__quote@
159 am__tar = @am__tar@
160 am__untar = @am__untar@
161 bindir = @bindir@
162 build = @build@
163 build_alias = @build_alias@
164 build_cpu = @build_cpu@
165 build_id = @build_id@
166 build_os = @build_os@
167 build_vendor = @build_vendor@
168 builddir = @builddir@
169 datadir = @datadir@
170 datarootdir = @datarootdir@
171 docdir = @docdir@
172 dvidir = @dvidir@
173 exec_prefix = @exec_prefix@
174 host = @host@
175 host_alias = @host_alias@
176 host_cpu = @host_cpu@
177 host_os = @host_os@
178 host_vendor = @host_vendor@
179 htmldir = @htmldir@
180 includedir = @includedir@
181 infodir = @infodir@
182 install_sh = @install_sh@
183 libdir = @libdir@
184 libexecdir = @libexecdir@
185 localedir = @localedir@
186 localstatedir = @localstatedir@
187 mandir = @mandir@
188 mkdir_p = @mkdir_p@
189 oldincludedir = @oldincludedir@
190 pdfdir = @pdfdir@
191 prefix = @prefix@
192 program_transform_name = @program_transform_name@
193 psdir = @psdir@
194 pth_skaddr_makecontext = @pth_skaddr_makecontext@
195 pth_sksize_makecontext = @pth_sksize_makecontext@
196 sbindir = @sbindir@
197 sharedstatedir = @sharedstatedir@
198 srcdir = @srcdir@
199 sysconfdir = @sysconfdir@
200 target = @target@
201 target_alias = @target_alias@
202 target_cpu = @target_cpu@
203 target_os = @target_os@
204 target_vendor = @target_vendor@
205 top_builddir = @top_builddir@
206 top_srcdir = @top_srcdir@
207 EXTRA_DIST = ping_pong_deployment.xml ping_pong_platform.xml \
208         $(JAVA_SRC)
209
210 # Declare sources:
211 JAVA_SRC = Sender.java Receiver.java PingPongTask.java PingPongTest.java
212 JAVA_TESTS = PingPongTest.class
213 TESTS = $(JAVA_TESTS)
214
215 # Declare test class
216 @HAVE_JAVA_TRUE@noinst_JAVA = $(JAVA_SRC)
217 JAVAROOT = .
218 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
219 @HAVE_JAVA_FALSE@TESTS_ENVIRONMENT = DO_NOT_HAVE_JAVA=1 $(srcdir)/../runtest 
220
221 ##########################
222 # What to do on make check
223 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
224 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
225 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
226 # We also need to express dependencies manually (in each test dir)
227 # Damn...
228 @HAVE_JAVA_TRUE@TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
229 @HAVE_JAVA_TRUE@                    CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
230 @HAVE_JAVA_TRUE@                    $(srcdir)/../runtest 
231
232 all: all-am
233
234 .SUFFIXES:
235 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
236         @for dep in $?; do \
237           case '$(am__configure_deps)' in \
238             *$$dep*) \
239               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
240                 && exit 0; \
241               exit 1;; \
242           esac; \
243         done; \
244         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile'; \
245         cd $(top_srcdir) && \
246           $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile
247 .PRECIOUS: Makefile
248 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
249         @case '$?' in \
250           *config.status*) \
251             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
252           *) \
253             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
254             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
255         esac;
256
257 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259
260 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
261         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
262 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
263         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
264
265 mostlyclean-libtool:
266         -rm -f *.lo
267
268 clean-libtool:
269         -rm -rf .libs _libs
270
271 classnoinst.stamp: $(noinst_JAVA)
272         @list1='$?'; list2=; if test -n "$$list1"; then \
273           for p in $$list1; do \
274             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
275             list2="$$list2 $$d$$p"; \
276           done; \
277           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
278           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
279         else :; fi
280         echo timestamp > classnoinst.stamp
281
282 clean-noinstJAVA:
283         -rm -f *.class classnoinst.stamp
284 tags: TAGS
285 TAGS:
286
287 ctags: CTAGS
288 CTAGS:
289
290
291 check-TESTS: $(TESTS)
292         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
293         srcdir=$(srcdir); export srcdir; \
294         list=' $(TESTS) '; \
295         if test -n "$$list"; then \
296           for tst in $$list; do \
297             if test -f ./$$tst; then dir=./; \
298             elif test -f $$tst; then dir=; \
299             else dir="$(srcdir)/"; fi; \
300             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
301               all=`expr $$all + 1`; \
302               case " $(XFAIL_TESTS) " in \
303               *$$ws$$tst$$ws*) \
304                 xpass=`expr $$xpass + 1`; \
305                 failed=`expr $$failed + 1`; \
306                 echo "XPASS: $$tst"; \
307               ;; \
308               *) \
309                 echo "PASS: $$tst"; \
310               ;; \
311               esac; \
312             elif test $$? -ne 77; then \
313               all=`expr $$all + 1`; \
314               case " $(XFAIL_TESTS) " in \
315               *$$ws$$tst$$ws*) \
316                 xfail=`expr $$xfail + 1`; \
317                 echo "XFAIL: $$tst"; \
318               ;; \
319               *) \
320                 failed=`expr $$failed + 1`; \
321                 echo "FAIL: $$tst"; \
322               ;; \
323               esac; \
324             else \
325               skip=`expr $$skip + 1`; \
326               echo "SKIP: $$tst"; \
327             fi; \
328           done; \
329           if test "$$failed" -eq 0; then \
330             if test "$$xfail" -eq 0; then \
331               banner="All $$all tests passed"; \
332             else \
333               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
334             fi; \
335           else \
336             if test "$$xpass" -eq 0; then \
337               banner="$$failed of $$all tests failed"; \
338             else \
339               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
340             fi; \
341           fi; \
342           dashes="$$banner"; \
343           skipped=""; \
344           if test "$$skip" -ne 0; then \
345             skipped="($$skip tests were not run)"; \
346             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
347               dashes="$$skipped"; \
348           fi; \
349           report=""; \
350           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
351             report="Please report to $(PACKAGE_BUGREPORT)"; \
352             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
353               dashes="$$report"; \
354           fi; \
355           dashes=`echo "$$dashes" | sed s/./=/g`; \
356           echo "$$dashes"; \
357           echo "$$banner"; \
358           test -z "$$skipped" || echo "$$skipped"; \
359           test -z "$$report" || echo "$$report"; \
360           echo "$$dashes"; \
361           test "$$failed" -eq 0; \
362         else :; fi
363
364 distdir: $(DISTFILES)
365         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
366         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
367         list='$(DISTFILES)'; \
368           dist_files=`for file in $$list; do echo $$file; done | \
369           sed -e "s|^$$srcdirstrip/||;t" \
370               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
371         case $$dist_files in \
372           */*) $(MKDIR_P) `echo "$$dist_files" | \
373                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
374                            sort -u` ;; \
375         esac; \
376         for file in $$dist_files; do \
377           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
378           if test -d $$d/$$file; then \
379             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
380             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
381               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
382             fi; \
383             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
384           else \
385             test -f $(distdir)/$$file \
386             || cp -p $$d/$$file $(distdir)/$$file \
387             || exit 1; \
388           fi; \
389         done
390 check-am: all-am
391         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
392 check: check-am
393 all-am: Makefile classnoinst.stamp
394 installdirs:
395 install: install-am
396 install-exec: install-exec-am
397 install-data: install-data-am
398 uninstall: uninstall-am
399
400 install-am: all-am
401         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
402
403 installcheck: installcheck-am
404 install-strip:
405         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
406           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
407           `test -z '$(STRIP)' || \
408             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
409 mostlyclean-generic:
410
411 clean-generic:
412
413 distclean-generic:
414         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
415
416 maintainer-clean-generic:
417         @echo "This command is intended for maintainers to use"
418         @echo "it deletes files that may require special tools to rebuild."
419 clean: clean-am
420
421 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
422
423 distclean: distclean-am
424         -rm -f Makefile
425 distclean-am: clean-am distclean-generic
426
427 dvi: dvi-am
428
429 dvi-am:
430
431 html: html-am
432
433 info: info-am
434
435 info-am:
436
437 install-data-am:
438
439 install-dvi: install-dvi-am
440
441 install-exec-am:
442
443 install-html: install-html-am
444
445 install-info: install-info-am
446
447 install-man:
448
449 install-pdf: install-pdf-am
450
451 install-ps: install-ps-am
452
453 installcheck-am:
454
455 maintainer-clean: maintainer-clean-am
456         -rm -f Makefile
457 maintainer-clean-am: distclean-am maintainer-clean-generic
458
459 mostlyclean: mostlyclean-am
460
461 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
462
463 pdf: pdf-am
464
465 pdf-am:
466
467 ps: ps-am
468
469 ps-am:
470
471 uninstall-am:
472
473 .MAKE: install-am install-strip
474
475 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
476         clean-libtool clean-noinstJAVA distclean distclean-generic \
477         distclean-libtool distdir dvi dvi-am html html-am info info-am \
478         install install-am install-data install-data-am install-dvi \
479         install-dvi-am install-exec install-exec-am install-html \
480         install-html-am install-info install-info-am install-man \
481         install-pdf install-pdf-am install-ps install-ps-am \
482         install-strip installcheck installcheck-am installdirs \
483         maintainer-clean maintainer-clean-generic mostlyclean \
484         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
485         uninstall uninstall-am
486
487
488 # declare that we must recompile everything before lauching tests
489 $(TESTS): classnoinst.stamp
490
491 dist-files:
492         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
493         @echo
494         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
495
496 # Cruft
497 # Tell versions [3.59,3.63) of GNU make to not export all variables.
498 # Otherwise a system limit (for SysV at least) may be exceeded.
499 .NOEXPORT: